diff --git a/tests/TestSuite_meson_tests.py b/tests/TestSuite_meson_tests.py
index ee95fffa..368eeb8d 100644
--- a/tests/TestSuite_meson_tests.py
+++ b/tests/TestSuite_meson_tests.py
@@ -66,7 +66,6 @@ class TestMesonTests(TestCase):
         skip = []
         timeout = []
         failed = []
-
         self.verify(
             bool(self.meson_auto_test),
             f"Test failed the meson no test results were obtained.",
@@ -99,9 +98,20 @@ class TestMesonTests(TestCase):
                 sub_timeout = "[" + ",".join(timeout) + "] sub case time out. "
             self.verify(False, f"Test failed. {sub_fail}{sub_timeout}")
 
+    def meson_param(self, caselist):
+        param = ""
+        suite = self.get_suite_cfg().get(caselist, "")
+        params = self.get_suite_cfg().get("param", "")
+        if suite is not None:
+            param += suite
+        param += " " + params
+        return param
+
     def check_scp_file_valid_between_dut(self):
+        if os.path.exists(os.path.join(self.base_output, self.dut_pathlog)):
+            os.remove(os.path.join(self.base_output, self.dut_pathlog))
         out = self.tester.send_command(
-            f"scp root@{self.dut_ip}:/root/{self.dut_pathlog} {self.base_output}",
+            f"scp root@{self.dut_ip}:~/tmp/{self.dut_pathlog} {self.base_output}",
             timeout=15,
         )
         if "Are you sure you want to continue connecting" in out:
@@ -141,49 +151,46 @@ class TestMesonTests(TestCase):
         self.check_sub_case()
 
     def test_fasts(self):
+        param = self.meson_param("fast-tests")
         # init file name
         self.dut_pathlog = "fast-test.log"
         self.delete_exists_files()
         self.insmod_kni()
         # config test case list in conf/meson_tests.cfg
-        caselist = self.get_suite_cfg()["fast-tests"]
-        cmds = f'meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:fast-tests {caselist} -t {self.ratio} --test-args="-c 0xff" |tee /root/{self.dut_pathlog}'
+        cmds = f"meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:fast-tests {param} |tee ~/tmp/{self.dut_pathlog}"
         out = self.dut.send_expect(cmds, "# ", self.execute_wait_time)
         self.logger.info(out)
         self.check_scp_file_valid_between_dut()
         self.check_meson_test_result()
 
     def test_driver(self):
+        param = self.meson_param("driver-tests")
         # init file name
         self.dut_pathlog = "driver-test.log"
         self.delete_exists_files()
-        # config test case list in conf/meson_tests.cfg
-        caselist = self.get_suite_cfg()["driver-tests"]
-        cmds = f'meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:driver-tests {caselist} -t {self.ratio} --test-args="-c 0xff" |tee /root/{self.dut_pathlog}'
+        cmds = f"meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:driver-tests {param} |tee ~/tmp/{self.dut_pathlog}"
         out = self.dut.send_expect(cmds, "# ", self.execute_wait_time)
         self.logger.info(out)
         self.check_scp_file_valid_between_dut()
         self.check_meson_test_result()
 
     def test_debug(self):
+        param = self.meson_param("debug-tests")
         self.dut_pathlog = "test-debug.log"
         # delete exists files
         self.delete_exists_files()
-        # config test case list in conf/meson_tests.cfg
-        caselist = self.get_suite_cfg()["debug-tests"]
-        cmds = f'meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:debug-tests {caselist} -t {self.ratio} --test-args="-c 0xff" |tee /root/{self.dut_pathlog}'
+        cmds = f"meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:debug-tests {param} |tee ~/tmp/{self.dut_pathlog}"
         out = self.dut.send_expect(cmds, "# ", self.execute_wait_time)
         self.logger.info(out)
         self.check_scp_file_valid_between_dut()
         self.check_meson_test_result()
 
     def test_extra(self):
+        param = self.meson_param("extra-tests")
         self.dut_pathlog = "extra-test.log"
         # delete exists files
         self.delete_exists_files()
-        # config test case list in conf/meson_tests.cfg
-        caselist = self.get_suite_cfg()["extra-tests"]
-        cmds = f'meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:extra-tests {caselist} -t {self.ratio} --test-args="-c 0xff" |tee /root/{self.dut_pathlog}'
+        cmds = f"meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:extra-tests {param} |tee ~/tmp/{self.dut_pathlog}"
         out = self.dut.send_expect(cmds, "# ", self.execute_wait_time)
         self.logger.info(out)
         self.check_scp_file_valid_between_dut()
@@ -193,13 +200,12 @@ class TestMesonTests(TestCase):
         )
 
     def test_perf(self):
+        param = self.meson_param("perf-tests")
         # init file name
         self.dut_pathlog = "perf-test.log"
         # delete exists files
         self.delete_exists_files()
-        # config test case list in conf/meson_tests.cfg
-        caselist = self.get_suite_cfg()["perf-tests"]
-        cmds = f'meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:perf-tests {caselist} -t {self.ratio} --test-args="-c 0xff" |tee /root/{self.dut_pathlog}'
+        cmds = f"meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:perf-tests {param} |tee ~/tmp/{self.dut_pathlog}"
         out = self.dut.send_expect(cmds, "# ", self.execute_wait_time)
         self.logger.info(out)
         self.check_scp_file_valid_between_dut()